Subject: Re: bug#29473: 25.3; 'background-mode is 'light on console with black background

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Sep 2021 08:44:13 +0200

Noam Postavsky <[email-masked]> writes:

> Ah, interesting.  It seems the versions of gnome-terminal are rather
> non-standard.  Which version of gnome-terminal is this, and does it
> support the other xterm calls?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I can reproduce the problem on Emacs 27.1 (and older), but not in Emacs
28, so I think this problem (wrong background colour detection in Gnome
Terminal) is probably fixed now.

Is anybody else seeing problems in Emacs 28 with this combination (i.e.,
"emacs -nw" from the trunk and Gnome Terminal)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no